Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0009299 [DCSS] Bug Report minor always 2014-12-05 04:05 2015-01-31 04:24
Reporter Xentronium View Status public  
Assigned To wheals
Priority normal Resolution done  
Status closed   Product Branch 0.16 ancient branch
Summary 0009299: Weirdness with doors and confusion
Description When trying to close a door while confused, it sometimes won't close - ("There isn't anything you can close there") - but failed attempts take up no time. Seems like confusion should either have no effect on your interaction with doors, or should take time when failing.

Eg. on FoBe across a doorway from SIgmund:

There isn't anything that you can close there!
 As you close the door, it creaks loudly!
_Sigmund opens the door.
_There isn't anything that you can close there!
_There isn't anything that you can close there!
_You close the door. Sigmund opens the door.
_There isn't anything that you can close there!
_There isn't anything that you can close there!
_You close the door. Sigmund opens the door.
_There isn't anything that you can close there!
_There isn't anything that you can close there!
_You close the door. Sigmund opens the door.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0028003)
wheals (administrator)
2014-12-07 21:12

Should be fixed by http://s-z.org/neil/git/?p=crawl.git;a=commitdiff;h=1a4725ceef93. [^]
(0028023)
Xentronium (reporter)
2014-12-08 07:39

Tested in sonja sprint trunk, now works as expected. Thanks!

- Issue History
Date Modified Username Field Change
2014-12-05 04:05 Xentronium New Issue
2014-12-05 19:12 wheals Status new => assigned
2014-12-05 19:12 wheals Assigned To => wheals
2014-12-07 21:12 wheals Note Added: 0028003
2014-12-07 21:12 wheals Status assigned => resolved
2014-12-07 21:12 wheals Fixed in Branch => 0.16 development branch
2014-12-07 21:12 wheals Resolution open => done
2014-12-08 07:39 Xentronium Note Added: 0028023
2015-01-31 04:24 Xentronium Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker